sc::LocalSCMatrixKit(3)

NAME
sc::LocalSCMatrixKit - The LocalSCMatrixKit produces matrices that work in a single processor environment.

SYNOPSIS

#include <local.h>

Inherits sc::SCMatrixKit.

  Public Member Functions
LocalSCMatrixKit (const Ref< KeyVal > &)
SCMatrix * matrix (const RefSCDimension &, const RefSCDimension &)
Given the dimensions, create matrices or vectors.
SymmSCMatrix * symmmatrix (const RefSCDimension &)
DiagSCMatrix * diagmatrix (const RefSCDimension &)
SCVector * vector (const RefSCDimension &)

Detailed Description

The LocalSCMatrixKit produces matrices that work in a single processor environment.

Author

Generated automatically by Doxygen for MPQC from the source code.